Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weka.classifiers.rules.part
Class PruneableDecList

    java.lang.Object
      weka.classifiers.rules.part.ClassifierDecList
          weka.classifiers.rules.part.PruneableDecList

All Implemented Interfaces:
  java.io.Serializable

    public class PruneableDecList

extends ClassifierDecList

Class for handling a partial tree structure that can be pruned using a pruning set.

Version:
  $Revision: 1.6 $
Author:
  Eibe Frank (eibe@cs.waikato.ac.nz)
See Also:
  Serialized Form

Constructor Summary
`PruneableDecList(ModelSelection toSelectLocModel, int minNum)` Constructor for pruneable partial tree structure.

Method Summary
`void` | `buildDecList(Instances train, Instances test, boolean leaf)` Builds the partial tree with hold out set
`void` | `buildRule(Instances train, Instances test)` Method for building a pruned partial tree.

Methods inherited from class weka.classifiers.rules.part.ClassifierDecList
`buildDecList, buildRule, chooseIndex, chooseLastIndex, classifyInstance, cleanup, distributionForInstance, toString, weight`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PruneableDecList

    public PruneableDecList(ModelSelection toSelectLocModel,
                            int minNum)

  Constructor for pruneable partial tree structure.

  Parameters:
    `toSelectLocModel` - selection method for local splitting model
    `minNum` - minimum number of objects in leaf

Method Detail

### buildRule

    public void buildRule(Instances train,
                          Instances test)
                   throws java.lang.Exception

  Method for building a pruned partial tree.

  Throws:
    `java.lang.Exception` - if tree can't be built successfully

### buildDecList

    public void buildDecList(Instances train,
                             Instances test,
                             boolean leaf)
                      throws java.lang.Exception

  Builds the partial tree with hold out set

  Throws:
    `java.lang.Exception` - if something goes wrong

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD